Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.item
Class ItemArmor

    java.lang.Object
      net.minecraft.item.Item
          net.minecraft.item.ItemArmor

    public class ItemArmor

extends Item

Field Summary
`int` | `armorType` Stores the armor type: 0 is helmet, 1 is plate, 2 is legs and 3 is boots
`int` | `damageReduceAmount` Holds the amount of damage that the armor reduces at full durability.
`int` | `renderIndex` Used on RenderPlayer to select the correspondent armor to be rendered on the player: 0 is cloth, 1 is chain, 2 is iron, 3 is diamond and 4 is gold.

Fields inherited from class net.minecraft.item.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, emptyMap, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_92052_bU, field_92053_bW, field_92054_bV, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemFrame, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, poisonousPotato, porkCooked, porkRaw, potato, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWait, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Constructor Summary
`ItemArmor(int par1, EnumArmorMaterial par2EnumArmorMaterial, int par3, int par4)`

Method Summary
`void` | `func_82813_b(ItemStack par1ItemStack, int par2)`
`EnumArmorMaterial` | `getArmorMaterial()` Return the armor material for this armor item.
`int` | `getColor(ItemStack par1ItemStack)` Return the color for the specified armor ItemStack.
`int` | `getColorFromItemStack(ItemStack par1ItemStack, int par2)`
`int` | `getIconFromDamageForRenderPass(int par1, int par2)`
`boolean` | `getIsRepairable(ItemStack par1ItemStack, ItemStack par2ItemStack)` Return whether this item is repairable in an anvil.
`int` | `getItemEnchantability()` Return the enchantability factor of the item, most of the time is based on material.
`boolean` | `hasColor(ItemStack par1ItemStack)` Return whether the specified armor ItemStack has a color.
`void` | `removeColor(ItemStack par1ItemStack)` Remove the color from the specified armor ItemStack.
`boolean` | `requiresMultipleRenderPasses()`

Methods inherited from class net.minecraft.item.Item
`addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getChestGenBase, getContainerItem, getContainerItemStack, getCreativeTab, getCreativeTabs, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconIndex, getIconIndex, getIconIndex, getItemDisplayName, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getStatName, getStrVsBlock, getStrVsBlock, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, itemInteractionForEntity, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldPassSneakingClickToBlock, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### armorType

    public final int armorType

  Stores the armor type: 0 is helmet, 1 is plate, 2 is legs and 3 is boots

### damageReduceAmount

    public final int damageReduceAmount

  Holds the amount of damage that the armor reduces at full durability.

### renderIndex

    public final int renderIndex

  Used on RenderPlayer to select the correspondent armor to be rendered on the player: 0 is cloth, 1 is chain, 2 is iron, 3 is diamond and 4 is gold.

Constructor Detail

### ItemArmor

    public ItemArmor(int par1,
                     EnumArmorMaterial par2EnumArmorMaterial,
                     int par3,
                     int par4)

Method Detail

### getColorFromItemStack

    public int getColorFromItemStack(ItemStack par1ItemStack,
                                     int par2)

  Overrides:
    `getColorFromItemStack` in class `Item`

### requiresMultipleRenderPasses

    public boolean requiresMultipleRenderPasses()

  Overrides:
    `requiresMultipleRenderPasses` in class `Item`

### getItemEnchantability

    public int getItemEnchantability()

  Return the enchantability factor of the item, most of the time is based on material.

  Overrides:
    `getItemEnchantability` in class `Item`

### getArmorMaterial

    public EnumArmorMaterial getArmorMaterial()

  Return the armor material for this armor item.

### hasColor

    public boolean hasColor(ItemStack par1ItemStack)

  Return whether the specified armor ItemStack has a color.

### getColor

    public int getColor(ItemStack par1ItemStack)

  Return the color for the specified armor ItemStack.

### getIconFromDamageForRenderPass

    public int getIconFromDamageForRenderPass(int par1,
                                              int par2)

  Overrides:
    `getIconFromDamageForRenderPass` in class `Item`

### removeColor

    public void removeColor(ItemStack par1ItemStack)

  Remove the color from the specified armor ItemStack.

### func_82813_b

    public void func_82813_b(ItemStack par1ItemStack,
                             int par2)

### getIsRepairable

    public boolean getIsRepairable(ItemStack par1ItemStack,
                                   ItemStack par2ItemStack)

  Return whether this item is repairable in an anvil.

  Overrides:
    `getIsRepairable` in class `Item`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD